Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.jaxws
Class JaxWsSoapFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.remoting.RemoteAccessException
                          org.springframework.remoting.RemoteInvocationFailureException
                              org.springframework.remoting.soap.SoapFaultException
                                  org.springframework.remoting.jaxws.JaxWsSoapFaultException

All Implemented Interfaces:
  java.io.Serializable

    public class JaxWsSoapFaultException

extends SoapFaultException

Spring SoapFaultException adapter for the JAX-WS `SOAPFaultException` class.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`JaxWsSoapFaultException(javax.xml.ws.soap.SOAPFaultException original)` Constructor for JaxWsSoapFaultException.

Method Summary
`javax.xml.soap.SOAPFault` | `getFault()` Return the wrapped JAX-WS SOAPFault.
`java.lang.String` | `getFaultActor()` Return the actor that caused this fault.
`java.lang.String` | `getFaultCode()` Return the SOAP fault code.
`javax.xml.namespace.QName` | `getFaultCodeAsQName()` Return the SOAP fault code as a `QName` object.
`java.lang.String` | `getFaultString()` Return the descriptive SOAP fault string.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JaxWsSoapFaultException

    public JaxWsSoapFaultException(javax.xml.ws.soap.SOAPFaultException original)

  Constructor for JaxWsSoapFaultException.

  Parameters:
    `original` - the original JAX-WS SOAPFaultException to wrap

Method Detail

### getFault

    public final javax.xml.soap.SOAPFault getFault()

  Return the wrapped JAX-WS SOAPFault.

### getFaultCode

    public java.lang.String getFaultCode()

  Description copied from class: `SoapFaultException`
  Return the SOAP fault code.

  Specified by:
    `getFaultCode` in class `SoapFaultException`

### getFaultCodeAsQName

    public javax.xml.namespace.QName getFaultCodeAsQName()

  Description copied from class: `SoapFaultException`
  Return the SOAP fault code as a `QName` object.

  Specified by:
    `getFaultCodeAsQName` in class `SoapFaultException`

### getFaultString

    public java.lang.String getFaultString()

  Description copied from class: `SoapFaultException`
  Return the descriptive SOAP fault string.

  Specified by:
    `getFaultString` in class `SoapFaultException`

### getFaultActor

    public java.lang.String getFaultActor()

  Description copied from class: `SoapFaultException`
  Return the actor that caused this fault.

  Specified by:
    `getFaultActor` in class `SoapFaultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD